<?php
/**
 * AMYRA_LITE_Recommendation Class
 * 
 * Handles the recommended plugin functionality.
 * 
 * @package Amyra Lite
 * @since 1.0
 */

// Plugin recomendation class
require_once( AMYRA_LITE_DIR . '/includes/plugins/class-tgm-plugin-activation.php' );

class AMYRA_LITE_Recommendation {

	function __construct() {
		
		// Action to add recomended plugins
		add_action( 'tgmpa_register', array($this, 'amyra_lite_recommend_plugin') );
	}

	/**
	 * Recommend Plugins
	 * 
	 * @package Amyra Lite
	 * @since 1.0
	 */
	function amyra_lite_recommend_plugin() {
	    $plugins = array(
	        array(
	            'name'               => 'Instagram Slider and Carousel Plus Widget',
	            'slug'               => 'slider-and-carousel-plus-widget-for-instagram',
	            'required'           => false,
	        ),
			 array(
	            'name'               => 'Featured Post Creative',
	            'slug'               => 'featured-post-creative',
	            'required'           => false,
	        )
	    );
	    tgmpa( $plugins);
	}
}

$amyra_lite_recommendation = new AMYRA_LITE_Recommendation();